Bug 1275707 - No feedback for loading when selecting catalog type
No feedback for loading when selecting catalog type
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Robin Knaur
Pete Savage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 10:28 EDT by Pete Savage
Modified: 2015-12-08 08:41 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:41:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Savage 2015-10-27 10:28:36 EDT
Description of problem: No feedback for loading when selecting catalog type


Version-Release number of selected component (if applicable): 5.5.0.7


How reproducible: 100%


Steps to Reproduce:
1. Services -> Catalogs -> Catalog Items
2. Configuration -> Add a catalog item
3. Choose a catalog item type (VMware)

Actual results: A potentially long wait where nothing shows up in the UI until the form comes up


Expected results: Some visual feedback (spinny?) to say that it is loading before the next form comes up


Additional info:
Comment 4 CFME Bot 2015-11-02 10:44:42 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1e086fbb5c05b7ca78493053aefe1b6fd116e214

commit 1e086fbb5c05b7ca78493053aefe1b6fd116e214
Author:     Robin Knaur <rknaur@redhat.com>
AuthorDate: Mon Nov 2 15:03:43 2015 +0100
Commit:     Robin Knaur <rknaur@redhat.com>
CommitDate: Mon Nov 2 15:05:35 2015 +0100

    Add spinner when selecting catalog type
    https://bugzilla.redhat.com/show_bug.cgi?id=1275707

 app/views/catalog/_st_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 CFME Bot 2015-11-05 09:53:29 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f2097e60adc0be05a3d0227a4f2c96a176796a84

commit f2097e60adc0be05a3d0227a4f2c96a176796a84
Merge: a082eb8 a03d206
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 5 09:50:14 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Nov 5 09:50:14 2015 -0500

    Merge branch 'bz-1275707' into '5.5.z'
    
    Add spinner when selecting catalog type
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275707
    Cherry-picked from https://github.com/ManageIQ/manageiq/pull/5223
    
    See merge request !361

 app/views/catalog/_st_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 6 CFME Bot 2015-11-05 09:53:35 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a03d206fa3b3b6bc56dc0dc2ed1120f733a28d56

commit a03d206fa3b3b6bc56dc0dc2ed1120f733a28d56
Author:     Robin Knaur <rknaur@redhat.com>
AuthorDate: Mon Nov 2 15:03:43 2015 +0100
Commit:     Robin Knaur <rknaur@redhat.com>
CommitDate: Thu Nov 5 12:15:59 2015 +0100

    Add spinner when selecting catalog type
    https://bugzilla.redhat.com/show_bug.cgi?id=1275707

 app/views/catalog/_st_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 Pete Savage 2015-11-12 11:29:51 EST
Verified in 5.5.0.10
Comment 9 errata-xmlrpc 2015-12-08 08:41:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.